Bug 858264 - tmp-on-tmpfs: mutt defaults to composing emails in /tmp
tmp-on-tmpfs: mutt defaults to composing emails in /tmp
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mutt (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18TmpOnTmpfs
  Show dependency treegraph
 
Reported: 2012-09-18 09:27 EDT by Richard W.M. Jones
Modified: 2012-11-01 11:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: mutt-1.5.21-15.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 11:09:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-09-18 09:27:28 EDT
Description of problem:

Unfortunately with the tmp-on-tmpfs misfeature, /tmp is
now volatile.  If the machine crashes, your precious email
is gone.  Previously you might have got the email back by
rebooting the machine and looking in /tmp.

It should probably use /var/tmp instead.

Version-Release number of selected component (if applicable):

mutt-1.5.21-13.fc18.x86_64.rpm

How reproducible:

100%

Steps to Reproduce:
1. Install mutt on F18
2. mutt foo@example.com
3. In the editor, notice it's using /tmp to compose the email.
Comment 1 Fedora Update System 2012-09-27 10:32:53 EDT
mutt-1.5.21-15.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mutt-1.5.21-15.fc18
Comment 2 Fedora Update System 2012-09-27 20:12:55 EDT
Package mutt-1.5.21-15.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mutt-1.5.21-15.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14908/mutt-1.5.21-15.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.